This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 481527 - (bucardo) Review Request: bucardo - asynchronous PostgreSQL replication system
Review Request: bucardo - asynchronous PostgreSQL replication system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On: perl-DBIx-Safe perl-Test-Dynamic
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 20:31 EST by Itamar Reis Peixoto
Modified: 2015-09-22 13:57 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.4.0-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 02:25:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
david: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
replica script to test bucardo. (712 bytes, text/plain)
2009-09-08 16:08 EDT, Itamar Reis Peixoto
no flags Details
Updated specfile for 4.3.0 (2.63 KB, application/octet-stream)
2009-10-12 16:00 EDT, David Fraser
no flags Details
Cleaned up spec for 4.4.0 (2.58 KB, application/octet-stream)
2009-11-14 16:42 EST, Greg Sabino Mullane
no flags Details
Improved version of replica script to test Bucardo (522 bytes, text/plain)
2009-11-14 17:27 EST, Greg Sabino Mullane
no flags Details

  None (edit)
Description Itamar Reis Peixoto 2009-01-25 20:31:31 EST
Description:

Bucardo is an asynchronous PostgreSQL replication system, allowing for both multi-master and multi-slave operations. It was developed at Backcountry.com primarily by Greg Sabino Mullane of End Point Corporation.
It's licensed under BSD License.

SRPMS and SPEC will coming soon
Comment 1 Itamar Reis Peixoto 2009-01-29 10:36:34 EST
http://ispbrasil.com.br/bucardo/bucardo.spec
http://ispbrasil.com.br/bucardo/bucardo-3.0.9-1.fc10.src.rpm

---------------------------------------------------------------------------------
koji scratch build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=1091363
---------------------------------------------------------------------------------

I am able to replicate master-master and master-slave with this RPM

bucardo is one of the best replication solution for pgsql.
Comment 2 Ruben Kerkhof 2009-01-30 16:30:34 EST
I think it would be better to use the upstream source tarball for Source0, and remove the included, unwanted perl modules in the %prep phase. That way we can verify if the tarball is the same as upstream's
Comment 3 Itamar Reis Peixoto 2009-02-01 10:50:28 EST
ok, the only reason to strip tarball is to make it smaller, there are no forbidden contents in it.

I have mailed upstream about shipping each package in your own tarball
https://mail.endcrypt.com/pipermail/bucardo-general/2009-January/000190.html


here are a updated version without stripping tarball

http://ispbrasil.com.br/bucardo/bucardo.spec
http://ispbrasil.com.br/bucardo/bucardo-3.0.9-2.fc10.src.rpm
Comment 5 Itamar Reis Peixoto 2009-09-08 16:08:01 EDT
Created attachment 360126 [details]
replica script to test bucardo.

replica script to test bucardo.

this script setup a master-master replication.
Comment 6 David Fraser 2009-10-12 16:00:59 EDT
Created attachment 364513 [details]
Updated specfile for 4.3.0

Added updated specfile to build latest version.
Note: should also depend on postgresql-plperl, as that's required to actually operate it
Comment 7 Itamar Reis Peixoto 2009-10-12 18:37:44 EDT
(In reply to comment #6)
> Created an attachment (id=364513) [details]
> Updated specfile for 4.3.0
> 
> Added updated specfile to build latest version.
> Note: should also depend on postgresql-plperl, as that's required to actually
> operate it  

I know, but it's impossible to keep in sync with Greg, it's releasing a new version every day.

also your spec file is outdated, the lasted version is 4.4.0
Comment 9 Jason Tibbitts 2009-11-14 10:50:51 EST
This builds but does not seem to install due to a missing dependency on perl(Test::Dynamic).  It's odd that anything in Test would be required at runtime; can you explain why the three dependencies under "#testsuite" would need to be runtime dependencies instead of build-time dependencies, or why Test::Dynamic is required for anything?  It doesn't seem to appear in the source at all.
Comment 10 Greg Sabino Mullane 2009-11-14 16:42:14 EST
Created attachment 369554 [details]
Cleaned up spec for 4.4.0

Removed some duplicated modules, changed Mail::Sendmail to Net::SMTP.
Comment 11 Greg Sabino Mullane 2009-11-14 17:27:41 EST
Created attachment 369558 [details]
Improved version of replica script to test Bucardo

Minor tweaks: avoids direct SQL calls
Comment 12 Itamar Reis Peixoto 2009-11-16 20:31:41 EST
updated spec file with changes from Greg.

http://itamarjp.fedorapeople.org/bucardo/bucardo.spec
http://itamarjp.fedorapeople.org/bucardo/bucardo-4.4.0-2.fc12.src.rpm
Comment 13 David Nalley 2009-11-16 21:02:37 EST
Itamar: Thanks for updating the SRPM in such a timely manner. 
I just installed and it appears to work well. 


OK: rpmlint must be run on every package. The output should be posted in the review.
[ke4qqq@nalleyx60 SPECS]$ rpmlint bucardo.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../SRPMS/bucardo-4.4.0-2.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../RPMS/noarch/bucardo-4.4.0-2.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
LICENSE file contains BSD
Source code refers to License file

While I don't think it affects the package, the INSTALL file appears to claim a different license for a library, and upstream may want to take note. 


OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[ke4qqq@nalleyx60 SOURCES]$ md5sum Bucardo-4.4.0.tar.gz*
bf32b4dc7302baa1bc269dd34ff65da5  Bucardo-4.4.0.tar.gz
bf32b4dc7302baa1bc269dd34ff65da5  Bucardo-4.4.0.tar.gz.1

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
OK: Packages must NOT bundle copies of system libraries.
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 


APPROVED


Thanks for all of the work!
Comment 14 Itamar Reis Peixoto 2009-11-16 21:37:02 EST
New Package CVS Request
=======================
Package Name: bucardo
Short Description: asynchronous PostgreSQL replication system
Owners: itamarjp
Branches: F-10 F-11 F-12 EL-5
InitialCC: perl-sig
Comment 15 Jason Tibbitts 2009-11-17 11:32:48 EST
CVS done.
Comment 16 Fedora Update System 2009-11-17 12:59:22 EST
bucardo-4.4.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bucardo-4.4.0-2.fc12
Comment 17 Fedora Update System 2009-11-17 12:59:28 EST
bucardo-4.4.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bucardo-4.4.0-2.fc10
Comment 18 Fedora Update System 2009-11-17 12:59:33 EST
bucardo-4.4.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bucardo-4.4.0-2.fc11
Comment 19 Fedora Update System 2009-11-20 00:16:07 EST
bucardo-4.4.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bucardo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11754
Comment 20 Fedora Update System 2009-11-20 00:22:01 EST
bucardo-4.4.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bucardo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11772
Comment 21 Fedora Update System 2009-11-20 00:37:50 EST
bucardo-4.4.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bucardo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11865
Comment 22 Fedora Update System 2009-12-07 02:25:42 EST
bucardo-4.4.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2009-12-07 02:28:58 EST
bucardo-4.4.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-12-07 02:32:40 EST
bucardo-4.4.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/bucardo-4.4.0-2.el5
Comment 25 Fedora Update System 2009-12-07 02:32:50 EST
bucardo-4.4.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2009-12-31 01:54:19 EST
bucardo-4.4.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 James Saint-Rossy 2010-03-03 15:21:11 EST
(In reply to comment #26)
> bucardo-4.4.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If
> problems still persist, please make note of it in this bug report.    

Tried to install bucardo-4.4.0-2.el5 on RHEL 5.4 and Centos 5.4 and encounter 2 dependency issues:

bucardo-4.4.0-2.el5.noarch from epel has depsolving problems
  --> Missing Dependency: perl(DBD::Pg) >= 2.0 is needed by package bucardo-4.4.0-2.el5.noarch (epel)
Error: Missing Dependency: postgresql-plperl is needed by package bucardo-4.4.0-2.el5.noarch (epel)

There is a package in epel called postgresql-pl that I think would satisfy the postgresql-plperl dep and the rpmforge repo has a >2.0 version of perl-DBD-Pg.
Comment 28 Itamar Reis Peixoto 2010-03-03 15:53:12 EST
(In reply to comment #27)
ok, what do you think about openning a separated bug report for this issue ?
Comment 29 James Saint-Rossy 2010-03-03 16:22:44 EST
Done: https://bugzilla.redhat.com/show_bug.cgi?id=570321
Comment 30 Itamar Reis Peixoto 2015-09-22 12:03:06 EDT
Package Change Request
======================
Package Name: bucardo
New Branches: EL-7
Owners: itamarjp
InitialCC: perl-sig
Comment 31 Jon Ciesla 2015-09-22 13:57:07 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.